CVE Vulnerabilities

CVE-2014-3682

Published: Feb 20, 2015 | Modified: Mar 24, 2015
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

XML external entity (XXE) vulnerability in the JBPMBpmn2ResourceImpl function in designer/bpmn2/resource/JBPMBpmn2ResourceImpl.java in jbpm-designer 6.0.x and 6.2.x allows remote attackers to read arbitrary files and possibly have other unspecified impact by importing a crafted BPMN2 file.

Affected Software

Name Vendor Start Version End Version
Jbpm-designer Redhat 6.0.1 6.0.1
Jbpm-designer Redhat 6.0.0 6.0.0
Jbpm-designer Redhat 6.2.0 6.2.0

References